/* 留言咨询 */
.consult {
  margin: 20px auto;
  max-width: 1200px;
  overflow: hidden;
}

.consult__wrapper {
  display: flex;
  align-items: center;
  gap: 60px;
  margin: 135px 0 85px;
  padding: 40px 60px;
  background-color: #0084ff;
  border-radius: 20px;
}

.consult__form {
  display: flex;
  flex-direction: column;
  gap: 20px;
  flex: 1;
}

.consult__form__head {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  grid-auto-rows: 1fr;
  gap: 16px;
}

.consult__form__head__item {
  flex: 1;
  padding: 8px 10px;
  background-color: #add9fe;
  border-radius: 6px;
  overflow: hidden;
}

.consult__form__head__control {
  width: 100%;
  outline: none;
  border: none;
  background-color: #add9fe;
}

.consult__form__head__captcha {
  display: flex;
  align-items: center;
  gap: 10px;
  padding: 0;
}

.consult__form__head__captcha__input {
  padding: 8px 10px;
}

.consult__form__head__captcha__canvas {
  flex-shrink: 0;
  width: 100px;
  height: 30px;
  cursor: pointer;
}

.consult__form__bottom {
  display: flex;
  justify-content: space-between;
  gap: 50px;
}

.consult__form__bottom__operate {
  flex: 1 0 50%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  gap: 20px;
}

.consult__form__bottom__operate__descript {
  color: #fff;
  font-size: 30px;
  font-weight: bold;
  line-height: 1.2;
}

.consult__cart {
  display: flex;
  align-items: center;
  flex: 1 0 66%;
  z-index: 1;
}

.consult__phone {
  position: relative;
  margin: -200px 0 -150px;
  border-radius: 46px;
  overflow: hidden;
}

.consult__phone__screen {
  position: absolute;
  width: 100%;
  height: 100%;
  padding: 10px;
  object-fit: cover;
  object-position: top;
}

.consult__phone__frame {
  position: relative;
  z-index: 1;
  height: 500px;
  pointer-events: none;
}

@media (max-width: 768px) {
  .consult__wrapper {
    margin: 10px;
    padding: 30px 20px;
  }

  .consult__form__bottom__operate__descript {
    font-size: 20px;
  }

  .consult__cart {
    display: none;
  }

  .consult__phone {
    display: none;
  }
}
